/*
 * Copyright: STEM Loyola
 * Date     : May 2019
 * ID       : 19.08-A2
 * Level    : 2 (Intermediate)
 *
 * Task     : Over the June holiday, Luke went to visit his grandparents living
 *            at Songambele in Dodoma. When he was few minutes from getting off
 *            the bus, he overheard one lady behind him that she was born at
 *            Songambele ward in Kagera. Luke wondered how many wards are 
 *            called Songambele in Tanzania. After searching online, he found
 *            out that there are four wards in Tanzania called Songambele: in
 *            Kongwa (Dodoma), Urambo (Tabora), Kyerwa (Kagera) and Kiteto (Manyara).
 * 
 *            After returning to school, Luke has been searching for ward names
 *            that have been reused for more than four times. All he could find
 *            are other ward names like Magomeni, Malolo, Mbuyuni and Mjimwema
 *            that have also been reused four times. Luke has downloaded a list
 *            of all ward names in Tanzania (almost 3,650 wards) and needs your
 *            help to find all the ward names that have been reused for more
 *            than four times.
 * 
 *            Note: (1) Each ward is on its own line.
 *                  (2) Some ward names like "Arusha Chini" contain spaces.
 * 
 *            Fun Fact: The most famous ward name has been reused fourteen times.
 *
 * Solved By: <Add your name here>
 *     Email: <Add your email here>
 *     Form : <Add your form here>
 *    Stream: <Add your stream/combination here>
*/

import java.io.File;
import java.util.Scanner;

class STEMChallenge04 {
    
    static final String FILE_NAME  = "tanzania-wards.txt";
    
    public static void main(String args[]) {
        // Open the wards file and ensure it was opened successfully
        Scanner wardsScanner = null;

        try {
            wardsScanner = new Scanner(new File(FILE_NAME));

        } catch (Exception e) {
            System.err.format("Error: could not open the file \"%s\"\n", FILE_NAME);
            System.err.format("Quitting...\n");

            System.exit(1);    // Terminate the program
        }

        // Process the wards file
        String ward;

        while(wardsScanner.hasNextLine()){
            ward = wardsScanner.nextLine();

            System.out.println(ward);

        }

        // Close open resources
        wardsScanner.close();
    }
}
